import App from '../App';
// import Detail from '../detail';
// import Layout from "../admin/layout"
// import About from '../pages/About';
import DebugHomeRouterPage from "../app-pages/DebugHomeRouterPage";
import CourseDetailPage from "../app-pages/CourseDetailPage";
import CourseHomePage from "../app-pages/CourseHomePage";
import MyCoursePage from "../app-pages/MyCoursePage";
import VideoCoursePlayerPage from "../app-pages/VideoCoursePlayerPage";
import CreateCourse from "../app-pages/CreateCoursePage"
import CourseAlbumAllListPage from "../app-pages/CourseAlbumAllListPage"
import InteractiveArea from "../components/public/InteractiveArea"

const routes = [
    {
        path: "/course/:token/:currentPlatform",
        title: "课程首页 Done (/course:token)",
        component: <CourseHomePage />,
    },
    {
        path: "/course_or_album_more/:subsetTab/",
        title: "课程首页 查看更多",
        component: <CourseAlbumAllListPage />

    },
    {
        path: "/my_course/:token/:currentPlatform",
        title: "我的课程 WIP (/my_course)",
        component: <MyCoursePage />,
        exact: false,
    }, {
        path: "/detail/:courseId/:subsetTab/",
        title: "课程详情",
        component: <CourseDetailPage />,
    },
    {
        path: "/detail/:id",
        title: "detail",
        component: <DebugHomeRouterPage />,
    },
    {
        path: "/video_course_player/:courseCode/:currentPlatform?/:token?",
        title: "播放器",
        component: <VideoCoursePlayerPage />,
    },
    {
        path: "/create_course",
        title: "创建课程",
        component: <CreateCourse />,
    },
    {
        path: "/discussionBoard/:courseCode/:token",
        title: "讨论区",
        component: <InteractiveArea />,
    },
    {
        path: "/",
        title: "DebugHomeRouterPage",
        component: <DebugHomeRouterPage />,
    }
]
export default routes;